import { Fetch, FunctionsResponse } from './types';
export declare class FunctionsClient {
    protected url: string;
    protected headers: Record<string, string>;
    protected fetch: Fetch;
    constructor(url: string, { headers, customFetch, }?: {
        headers?: Record<string, string>;
        customFetch?: Fetch;
    });
    /**
     * Updates the authorization header
     * @params token - the new jwt token sent in the authorisation header
     */
    setAuth(token: string): void;
    /**
     * Invokes a function
     * @param functionName - the name of the function to invoke
     * @param functionArgs - the arguments to the function
     * @param options - function invoke options
     * @param options.headers - headers to send with the request
     */
    invoke(functionName: string, functionArgs: any, { headers, }?: {
        headers?: Record<string, string>;
    }): Promise<FunctionsResponse>;
}
//# sourceMappingURL=FunctionsClient.d.ts.map